<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Travelia
 */

?>
<!-- Footer -->
<footer class="footer">
	<!-- Footer Top -->
	<?php if(get_theme_mod('travelia_footer_top_enable')):?>
		<div class="footer-top">
			<div class="container">
				<div class="row">
					<!-- Single Widget -->
					<div class="col-lg-3 col-md-6 col-12">
						<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
							<?php dynamic_sidebar( 'footer-1' );?>
						<?php } ?>
					</div>
					<!--/ End Single Widget -->
					<!-- Single Widget -->
					<div class="col-lg-3 col-md-6 col-12">
						<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
							<?php dynamic_sidebar( 'footer-2' );?>
						<?php } ?>
					</div>
					<!--/ End Single Widget -->
					<!-- Single Widget -->
					<div class="col-lg-3 col-md-6 col-12">
						<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
							<?php dynamic_sidebar( 'footer-3' );?>
						<?php } ?>
					</div>
					<!--/ End Single Widget -->
					<!-- Single Widget -->
					<div class="col-lg-3 col-md-6 col-12">
						<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
							<?php dynamic_sidebar( 'footer-4' );?>
						<?php } ?>
					</div>
					<!--/ End Single Widget -->
				</div>
			</div>
		</div>
	<?php endif;?>
	<!--/ End Footer Top -->
	<!-- Footer Bottom -->
	<div class="footer-bottom">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="bottom-inner">
						<div class="row">
							<div class="col-12">
								<!-- Copyright -->
								<div class="copyright"> 
									<?php if(get_theme_mod('travelia_footer_copyright_text')):?>
										<p><?php echo esc_html(get_theme_mod('travelia_footer_copyright_text'));?></p>
										<?php else:?>
											<p><?php esc_html_e('&copy; All Right Reserved ','travelia-pro');  echo  esc_html(date('Y'));?></p>
										<?php endif;?>
									</div>
									<!--/ End Copyright -->
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--/ End Footer Bottom -->
	</footer>
	<!--/ End footer -->

	<?php wp_footer(); ?>

</body>
</html>
