<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Travelia
 */

get_header();

$team_title =  get_theme_mod( 'travelia_team_heading_title', __( 'Our Experties', 'travelia-pro' ) )
?>

<!-- Start Team -->
<section id="team" class="team section">
	<div class="container">
		
		<div class="row">
			<?php
			$args = array (
				'post_type' => 'team',
				'posts_per_page' => 12,
				'orderby'        =>'post__in'
			);
			$teamloop = new WP_Query($args); 
			$k=1;
			if ($teamloop->have_posts()) :  while ($teamloop->have_posts()) : $teamloop->the_post(); ?>
				<div class="col-lg-4 col-md-6 col-12">
					<?php $saved = get_post_meta( $post->ID, '_team', true );
					  $defaults = _team_metabox_defaults(); // Get the default values
					  $details = wp_parse_args( $saved, $defaults ); // Merge the two in case any fields don't exist in the saved data
					  ?>
					  <!-- Single Team -->
					  <div class="single-team">
					  	<!-- Team Head -->
					  	<div class="t-head overlay">
					  		<?php if(has_post_thumbnail()): ?>
					  			<?php the_post_thumbnail(); ?> 
					  		<?php endif; ?>
					  		<div class="t-hover">
					  			<!-- Team Content -->
					  			<div class="content">
					  				<h2><span><?php echo esc_html( $details['position'] ); ?></span><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
					  				<?php the_excerpt();?>
					  			</div>
					  			<!--/ End Content -->
					  			<!-- Team Social -->
					  			<ul class="t-social">
					  				<?php if( $details['facebook_url'] ):?>
					  					<li><a href="<?php echo esc_url( $details['facebook_url'] ); ?>"><i class="fa fa-facebook"></i></a></li>
					  				<?php endif;?>
					  				<?php if($details['twitter_url'] ):?>
					  					<li><a href="<?php echo esc_url ( $details['twitter_url'] ); ?>"><i class="fa fa-twitter"></i></a></li>
					  				<?php endif;?>
					  				<?php if( $details['linkedin_url'] ):?>
					  					<li><a href="<?php echo esc_url( $details['linkedin_url'] ); ?>"><i class="fa fa-linkedin"></i></a></li>
					  				<?php endif;?>
					  				<?php if( $details['behance_url'] ):?>
					  					<li><a href="<?php echo esc_url( $details['behance_url'] ); ?>"><i class="fa fa-behance"></i></a></li>
					  				<?php endif;?>						
					  			</ul>
					  			<!-- /End Team Social -->
					  		</div>
					  	</div>
					  </div>
					  <!-- End Single Team -->
					</div>
					<?php  $k=$k+1; endwhile;
					wp_reset_postdata();  
				endif; ?>		
			</div>	
		</div>
	</section>
	<!--/ End Team -->

	<?php

	get_template_part( 'sections/section', 'clients' );

	get_footer();
