<?php
function why_choose_add_meta_box() {
	add_meta_box( 'why_choose_icon', 'Why choose Icon', 'why_choose_icon_callback', 'why_choose', 'normal', 'high' );
}

add_action( 'add_meta_boxes', 'why_choose_add_meta_box' );

function why_choose_icon_callback( $post ) {
	wp_nonce_field( 'save_why_choose_icon_data', 'why_choose_icon_meta_box_nonce' );
	
	$value = get_post_meta( $post->ID, '_why_choose_icon_value_key', true );?>
	<p>
		<?php echo sprintf('Use font awesome icon: Eg: %1$s. %2$s See more here %3$s', 'fa fa-headphones','<a href="'. esc_url('https://fontawesome.com/v4.7.0/icons/').'" target="_blank">','</a>');?>
	</p>
	<div class="admin_metabox_section">	
		<label for="why_choose_icon_field"><?php esc_html_e('Icons','travelia-pro');?></lable>
		<input type="text" id="why_choose_icon_field" name="why_choose_icon_field" value="<?php echo esc_attr( $value );?>" size="25" />
	</div>
<?php }

function save_why_choose_icon_data( $post_id ) {
	
	if( ! isset( $_POST['why_choose_icon_meta_box_nonce'] ) ){
		return;
	}
	
	if( ! wp_verify_nonce( $_POST['why_choose_icon_meta_box_nonce'], 'save_why_choose_icon_data') ) {
		return;
	}
	
	if( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return;
	}
	
	if( ! current_user_can( 'edit_post', $post_id ) ) {
		return;
	}
	
	if( ! isset( $_POST['why_choose_icon_field'] ) ) {
		return;
	}
	
	$my_data = sanitize_text_field( $_POST['why_choose_icon_field'] );
	
	update_post_meta( $post_id, '_why_choose_icon_value_key', $my_data );
	
}

add_action( 'save_post', 'save_why_choose_icon_data' );