<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Travelia
 */

get_header();
?>
<!-- Blog -->
<section class="blog archive section">
	<div class="container">
		<?php
		if(get_theme_mod('travelia_blog_archive_layout_settings') == 'right'){
			get_template_part( 'sidebar/sidebar-archive', 'right' );
		}
		elseif (get_theme_mod('travelia_blog_archive_layout_settings') == 'left') {
			get_template_part( 'sidebar/sidebar-archive', 'left' );
		}	
		elseif (get_theme_mod('travelia_blog_archive_layout_settings') == 'none') {
			get_template_part( 'sidebar/sidebar-archive', 'none' );
		}
		else{
			get_template_part( 'sidebar/sidebar-archive', 'none' );
		}
		?>
	</div>
</section>
<!-- End Blog -->

<?php
get_footer();
